Bug 1473038 - Packaged version of honcho is outdated - updated spec file attached
Packaged version of honcho is outdated - updated spec file attached
Status: NEW
Product: Fedora
Classification: Fedora
Component: python-honcho (Show other bugs)
27
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 18:55 EDT by dan.cermak
Modified: 2017-10-29 19:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file for Honcho 1.0.1 (4.52 KB, text/x-matlab)
2017-07-19 18:55 EDT, dan.cermak
no flags Details

  None (edit)
Description dan.cermak 2017-07-19 18:55:58 EDT
Created attachment 1301461 [details]
Spec file for Honcho 1.0.1

Description of problem:
The current upstream version of honcho is 1.0.1 but the packaged version is 0.5.0

Version-Release number of selected component (if applicable):
python3-honcho 0.5.0

How reproducible:


Steps to Reproduce:
1. dnf info python3-honcho|grep Version


Actual results:
Version      : 0.5.0

Expected results:
Version      : 1.0.1

Additional info:
I have attached an updated version of the spec file to build the honcho rpm. It should also work on Epel 7.
Honcho now also uses sphinx for their documentation, maybe this should be added as another sub-package.
Comment 1 Jan Kurik 2017-08-15 04:13:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 2 William Moreno 2017-10-23 22:11:04 EDT
Should you likee to comantain this package? I am not using it now.
Comment 3 dan.cermak 2017-10-29 19:36:30 EDT
Sorry, don't really want to. I have never used honcho, I only updated the specfile to use it for the bench tool from erpnext. But I ended up not using erpnext so I have no real use for honcho.

Note You need to log in before you can comment on or make changes to this bug.